#include <cstdio>
#include <cstdlib>
#include <vector>

// Задача "Космические путешествия"
// 12-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

int main()
{
    freopen("space.in", "r", stdin);
    freopen("space.out", "w", stdout);
    int n;
    scanf("%d", &n);
    std::vector<int> degrees(n);
    for (int i = 1; i < n; i++)
    {
        int s, e;
        scanf("%d%d", &s, &e);
        degrees[s - 1]++;
        degrees[e - 1]++;
    }
    int cnt = 0;
    for (int i = 0; i < n; i++)
    {
        if (degrees[i] > 1)
        {
            cnt++;
        }
    }
    printf("%d\n", cnt);
    return 0;
}

